%define pkg_name    stellarium
%define pkg_version 0.12.6
%define pkg_release 2%{?_dist_release}

Summary:     A free open source planetarium
Summary(ja): オープンソースのプラネタリウム
Name:        %{pkg_name}
Version:     %{pkg_version}
Release:     %{pkg_release}

License: GPLv2
Group:   Applications/Edutainment
URL:     http://www.stellarium.org/
Source0: %{name}-%{version}.tar.gz
Source1: stellarium.desktop

Buildroot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: cmake
BuildRequires: freetype2-devel
BuildRequires: zlib-devel
BuildRequires: qt4-devel

Requires: freetype2
Requires: qt4

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Stellarium is a free open source planetarium for your computer.
It shows a realistic sky in 3D, just like what you see with the naked eye,
binoculars or a telescope.
It is being used in planetarium projectors.
Just set your coordinates and go.

%description -l ja
Stellariumは、無料のオープンソースプラネタリウムです。
また、裸眼や双眼鏡で見える星空と同等の、リアルな3Dの星空を表示します。
Stellariumは、プラネタリウムのプロジェクタでも使われています。
あなたの現在位置を設定して、プラネタリウムを楽しみましょう。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q

%build
%{__cmake} -DCMAKE_INSTALL_PREFIX=%{_prefix}
%{__make} %{?_smp_mflags}

%install
%{make_install}

# menu / icon
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/applications/
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/icons/
%{__cp} %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%doc AUTHORS ChangeLog COPYING README
%defattr(-,root,root)
%{_bindir}/
%{_datadir}/applications/
%{_datadir}/icons/
%{_datadir}/locale/
%{_datadir}/pixmaps/
%{_datadir}/stellarium
%{_mandir}/man1/


%changelog
* Fri Jul 08 2016 Toshiaki Ara <ara_t@384.jp> 0.12.6-2vl7
- rebuild with gcc-5.4.0

* Mon Apr 25 2016 Toshiaki Ara <ara_t@384.jp> 0.12.6-1vl7
- update to 0.12.6 for VineSeed

* Mon Apr 25 2016 Toshiaki Ara <ara_t@384.jp> 0.10.6-1
- new package

